﻿using UnityEngine;

public class InvPersist : Mod
{
    public override void WorldEvent_WorldLoaded()
    {
        GameModeValueManager.GetCurrentGameModeValue().playerSpecificVariables.clearInventoryOnSurrender = false;
    }

    public void Start()
    {
        Debug.Log("InvPersist has been loaded!");
    }

    public void OnModUnload()
    {
        if (GameModeValueManager.GetCurrentGameModeValue().gameMode != GameMode.Easy)
            GameModeValueManager.GetCurrentGameModeValue().playerSpecificVariables.clearInventoryOnSurrender = true;

        Debug.Log("InvPersist has been unloaded!");
    }
}
